<?php
/**
 * Plugin Name: TeraWallet Importer
 * Plugin URI: https://standalonetech.com/
 * Description: Import wallet transactions from a CSV file.
 * Author: StandaloneTech
 * Author URI: https://standalonetech.com/
 * Version: 1.2.1
 * Requires Plugins: woo-wallet
 * Requires at least: 6.0
 * Tested up to: 6.6
 *
 * Text Domain: woo-wallet-importer
 * Domain Path: /languages/
 *
 * @package StandaloneTech
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Define constants.
if ( ! defined( 'WOO_WALLET_IMPORTER_PLUGIN_FILE' ) ) {
	define( 'WOO_WALLET_IMPORTER_PLUGIN_FILE', __FILE__ );
}
if ( ! defined( 'WOO_WALLET_IMPORTER_ABSPATH' ) ) {
	define( 'WOO_WALLET_IMPORTER_ABSPATH', dirname( WOO_WALLET_IMPORTER_PLUGIN_FILE ) . '/' );
}
if ( ! defined( 'WOO_WALLET_IMPORTER_PLUGIN_NAME' ) ) {
	define( 'WOO_WALLET_IMPORTER_PLUGIN_NAME', 'TeraWallet Importer' );
}
if ( ! defined( 'WOO_WALLET_IMPORTER_PLUGIN_SERVER_URL' ) ) {
	define( 'WOO_WALLET_IMPORTER_PLUGIN_SERVER_URL', 'https://standalonetech.com/' );
}
if ( ! defined( 'WOO_WALLET_IMPORTER_PLUGIN_TOKEN' ) ) {
	define( 'WOO_WALLET_IMPORTER_PLUGIN_TOKEN', 'woo-wallet-importer' );
}
if ( ! defined( 'WOO_WALLET_IMPORTER_VERSION' ) ) {
	define( 'WOO_WALLET_IMPORTER_VERSION', '1.2.1' );
}
if ( ! defined( 'WOO_WALLET_IMPORTER_PRODUCT_ID' ) ) {
	define( 'WOO_WALLET_IMPORTER_PRODUCT_ID', '2750' );
}

if ( ! defined( 'WOO_WALLET_IMPORTER_DELIMITER' ) ) {
	define( 'WOO_WALLET_IMPORTER_DELIMITER', ',' );
}

// Load Importer API.
require_once ABSPATH . 'wp-admin/includes/import.php';

if ( ! class_exists( 'WP_Importer' ) ) {
	$class_wp_importer = ABSPATH . 'wp-admin/includes/class-wp-importer.php';
	if ( file_exists( $class_wp_importer ) ) {
		require $class_wp_importer;
	}
}
if ( ! class_exists( 'WOO_Wallet_Importer_Helper' ) ) {
	require dirname( WOO_WALLET_IMPORTER_PLUGIN_FILE ) . '/includes/class-woo-wallet-importer-helper.php';
}

require_once dirname( WOO_WALLET_IMPORTER_PLUGIN_FILE ) . '/includes/class-woo-wallet-csv-importer.php';

// Include the main class.
if ( ! class_exists( 'WOO_WALLET_IMPORTER' ) ) {
	include_once dirname( WOO_WALLET_IMPORTER_PLUGIN_FILE ) . '/includes/class-woo-wallet-importer.php';
}

// include dependencies file.
if ( ! class_exists( 'Woo_Wallet_Dependencies' ) ) {
	include_once dirname( WOO_WALLET_IMPORTER_PLUGIN_FILE ) . '/includes/class-woo-wallet-dependencies.php';
}
/**
 * Main plugin function.
 *
 * @return WOO_WALLET_IMPORTER
 */
function woo_wallet_importer() {
	return WOO_WALLET_IMPORTER::instance();
}

woo_wallet_importer();

/**
 * Fires after WordPress has finished loading but before any headers are sent.
 */
add_action(
	'init',
	function() : void {
		/* Plugin license */
		require_once WOO_WALLET_IMPORTER_ABSPATH . 'includes/class-woo-wallet-license.php';
		$license = new Woo_Wallet_License( WOO_WALLET_IMPORTER_PLUGIN_FILE, WOO_WALLET_IMPORTER_PRODUCT_ID, WOO_WALLET_IMPORTER_VERSION, WOO_WALLET_IMPORTER_PLUGIN_TOKEN );
		register_deactivation_hook( WOO_WALLET_IMPORTER_PLUGIN_FILE, array( $license, 'uninstall' ) );
	}
);


